part of 'tutorial_bloc.dart';

abstract class TutorialState extends Equatable {
  const TutorialState();

  @override
  List<Object> get props => [];
}

class TutorialInitial extends TutorialState {
  const TutorialInitial();
}

class TutorialLoading extends TutorialState {
  const TutorialLoading();
}

class TutorialReady extends TutorialState {
  const TutorialReady();
}

class TutorialError extends TutorialState {
  final String message;
  const TutorialError({required this.message});

  @override
  List<Object> get props => [message];
}
